% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/clustering-functions.R
\name{tagCountTSS}
\alias{tagCountTSS}
\title{tagCountTSS}
\usage{
tagCountTSS(y, n.cores = 1, outfname = "TSS.txt", writeTable = FALSE)
}
\arguments{
\item{y}{a data frame containing the contents of a single slot of tssTagData.}

\item{n.cores}{the number of cores to be used for this job.}

\item{outfname}{the prefix of the file name of TSS information to be written.
(character)}

\item{writeTable}{if TRUE, the tag count information is written to a file in
the workding directory (logical)}
}
\value{
a dataframe reporting the locations of unique TSSs and the
corresponding tag counts. The last column of the dataframe is the logical
isreal, set to TRUE by default. The intent is to provide for user-provided
functions that discard specific sites (by setting isreal=FALSE), e.g. sites
associated with transposons not of an interest in a study.
}
\description{
an internal function that returns a dataframe reporting the
locations of unique TSSs and the corresponding tag counts.
tagCountTSS is invoked via prcTSS.
}
\keyword{internal}
